Project HermesHermes Docs

List Messages

List inbox messages across all mailboxes

List Inbox Messages

Returns messages from your unified inbox.

  • page (integer) (default: 1) — Page number

  • limit (integer) (default: 20) — Messages per page

curl -H "Authorization: Bearer hermes_your_api_key" \
  "https://api.hermes.camie.ai/v1/inbox?limit=3"

Response

{
  "success": true,
  "data": {
    "items": [
      {
        "id": 963914,
        "from": "contact@company.com",
        "to": "john@outreach-company.com",
        "subject": "Re: Quick question",
        "snippet": "Thanks for reaching out...",
        "sent_at": "2026-03-14T14:11:17.000Z",
        "is_read": false,
        "direction": "inbound",
        "has_attachments": false
      }
    ],
    "pagination": {
      "page": 1,
      "limit": 3,
      "total": 963,
      "totalPages": 321,
      "hasNext": true
    }
  }
}

On this page